﻿.index-news-box{
    display: block;
    position: relative;
    width: 100%;
}
.index-news-all-box{
    display: block;
    position: relative;
    width: 1200px;
    max-width: 100%;
    margin: 60px auto;
    font-size: 0;
}
.index-news-title-box{
    margin-bottom: 60px;
}
.index-news-title{
    display: inline-block;
    font-size: 20px;
    color: #000;
    letter-spacing: 1px;
    line-height: 60px;
    box-sizing: border-box;
    border-bottom: 1px solid #000;
    position: relative;
    z-index: 1;
}
.index-news-title-line{
    width: 100%;
    position: absolute;
    top: 60px;
    background-color: #ddd;
    height: 1px;
}
.index-news-info{
    width: 380px;
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    padding: 10px;
    margin-left: 30px;
    margin-bottom: 30px;
    position: relative;
}
.index-news-info:nth-child(3n + 1){
    margin-left: 0;
}
.index-news-info-img-box{
    overflow: hidden;
}
.index-news-info-img{
    width: 100%;
    height: 300px;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    position: relative;
    transition: all .3s linear;
    z-index: 2
}
.index-news-info-text-box{
    margin: 15px 0;
    position: relative;
    z-index: 2
}
.index-news-info-text-data{
    font-size: 14px;
    font-weight: 300;
    font-family: "Lato";
    color: #888;
    letter-spacing: 1px;
}
.index-news-info-text{
    font-size: 14px;
    letter-spacing: 1px;
}
.index-news-info-border{
    width: 100%;
    height: 100%;
    position: absolute;
    display: block;
    border: 1px solid #eee;
    top: 0;
    left: 0;
    box-sizing: border-box;
    z-index: 1;
    transition: all .3s linear;
}
.index-news-info-line{
    position: absolute;
    display: block;
    opacity: 0;
    transition: all .3s linear;
    background-color: #79be3f;
}
.line-tl{
    top: -1px;
    left: -1px;
}
.line-tr{
    top: -1px;
    right: -1px;
}
.line-bl{
    bottom: -1px;
    left: -1px;
}
.line-br{
    bottom: -1px;
    right: -1px;
}
.line-w{
    width: 6px;
    height: 1px;
}
.line-h{
    width: 1px;
    height: 6px;
}
.index-news-more-box{
    margin-top: 30px;
    position: relative;
    text-align: center;
}
.index-news-more{
    display: inline-block;
    position: relative;
    transition: all .3s linear; 
}
.index-news-more span{
    width: 200px;
    display: inline-block;
    font-size: 18px;
    font-family: "Lato";
    font-weight: 300;
    color: #00a4a5;
    line-height: 60px;
    letter-spacing: 1px;
    cursor: pointer;
    position: relative;
    transition: all .3s linear; 
    z-index: 2;
}
.index-news-more .index-news-info-line{
    opacity: 1;
}




/*------hover------*/
.index-news-info:hover .index-news-info-line{
    opacity: 1;
}
.index-news-info:hover .index-news-info-border{
    background-color: #f5f5f5;
}
.index-news-info:hover .index-news-info-img{
    transform: scale(1.1);
}
.index-news-more:hover{
    background-color: #f5f5f5;
}
.index-news-more:hover span{
    letter-spacing: 3px;
}
.index-news-more:hover .line-w{
    width: 12px;
}
.index-news-more:hover .line-h{
    height: 12px;
}





@media only screen and (max-width: 1200px){
    .index-news-all-box{
        width: 1000px;
    }
    .index-news-info{
        width: 320px;
        margin-left: 20px;
        margin-bottom: 20px;
    }
    .index-news-info-img{
        height: 250px;
    }
}
@media only screen and (max-width: 1000px){
    .index-news-all-box{
        width: 750px;
    }
    .index-news-info{
        width: 365px;
    }
    .index-news-info-img{
        height: 304px;
    }
    .index-news-info:nth-child(n) {
        margin-left: 20px;
    }
    .index-news-info:nth-child(2n + 1) {
        margin-left: 0;
    }
}
@media only screen and (max-width: 750px){
    .index-news-all-box{
        width: 550px;
    }
    .index-news-info{
        width: 265px;
    }
    .index-news-info-img{
        height: 221px;
    }
    .index-news-title-box{
        margin-bottom: 30px;
    }
    .index-news-all-box{
        margin: 30px auto;
    }
    .index-news-title{
        font-size: 18px;
    }
}
@media only screen and (max-width: 550px){
    .index-news-all-box{
        width: 400px;
    }
    .index-news-info{
        width: 100%;
    }
    .index-news-info-img{
        height: 333px;
    }
    .index-news-info:nth-child(n) {
        margin-left: 0;
    }
    .index-news-more span{
        width: 150px;
        font-size: 16px;
        line-height: 40px;
    }
    .index-news-all-box{
        margin: 15px auto;
    }
}
@media only screen and (max-width: 400px){
    .index-news-all-box{
        width: 300px;
    }
    .index-news-info-img{
        height: 250px;
    }
    .index-news-title{
        font-size: 16px;
    }
    .index-news-more-box{
        margin-top: 10px;
    }
}






/*animation*/

@media only screen and (min-width: 1001px){
    .index-news-title,
    .index-news-info,
    .index-news-more,
    .index-news-info-line{
        opacity: 0;
    }
    .index-news-title-line{
        width: 0;
        transition: all 1s ease;
    }
    .index-news-title.anima{
        animation: fadeInRight 1s ease 0s 1 both;
    }
    .index-news-title-line.anima{
        width: 100%;
    }
    .index-news-info.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .index-news-more.anima{
        animation: fade 0.8s ease 0s 1 both;
    }
    .index-news-more.anima .index-news-info-line{
        animation: fade 1s ease 0.5s 1 both;
    }

}

